/*==================================================================================
   Common.ice
  
        Copyright (c) 2010 Braxton Technologies, LLC. All Rights Reserved.
  
   Description:
  
==================================================================================*/

#ifndef COMMON_ICE
#define COMMON_ICE

module Bt
{
    sequence<byte> ByteSeq;
    sequence<double> DoubleVector;
    sequence<DoubleVector> DoubleMatrix;
    sequence<string> StringList;
    sequence<bool> BoolVector;
    dictionary<int, double> IntDoubleMap;
    dictionary<int, string> IntStringMap;
    dictionary<int, StringList> StringListMap;
    dictionary<int, int> IntIntMap;
    sequence<int> IntList;
    dictionary<int, IntList> IntListMap;
    
	struct Point
    {
        double fX;
        double fY;
    };

    sequence<Point> PointVec;

    sequence<double> DoubleVec;

};

#endif
